com.io7m.r2.core

## Class R2SceneStencils

- java.lang.Object
- - com.io7m.r2.core.R2SceneStencils

- All Implemented Interfaces:
    R2SceneStencilsType

      public final class R2SceneStencils
      extends Object
      implements R2SceneStencilsType

  The default implementation of the `R2SceneStencilsType` interface.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static R2SceneStencilsType` | `newMasks()`
    `void` | `stencilsAddSingle(R2InstanceSingleType i)` Add a single instance to the scene.
    `long` | `stencilsCount()`
    `void` | `stencilsExecute(R2SceneStencilsConsumerType c)` Batch the instances and pass them to the given consumer for rendering.
    `R2SceneStencilsMode` | `stencilsGetMode()`
    `void` | `stencilsReset()` Remove all stencil instances from the scene.
    `void` | `stencilsSetMode(R2SceneStencilsMode m)` Set the default stencil mode.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newMasks

          public static R2SceneStencilsType newMasks()

      Returns:
        A new set of masking instances

    - #### stencilsReset

          public void stencilsReset()

      Description copied from interface: `R2SceneStencilsType`
      Remove all stencil instances from the scene.
      Specified by:
        `stencilsReset` in interface `R2SceneStencilsType`

    - #### stencilsSetMode

          public void stencilsSetMode(R2SceneStencilsMode m)

      Description copied from interface: `R2SceneStencilsType`
      Set the default stencil mode.
      Specified by:
        `stencilsSetMode` in interface `R2SceneStencilsType`
      Parameters:
        `m` - The mode

    - #### stencilsGetMode

          public R2SceneStencilsMode stencilsGetMode()

      Specified by:
        `stencilsGetMode` in interface `R2SceneStencilsType`
      Returns:
        The default stencil mode

    - #### stencilsCount

          public long stencilsCount()

      Specified by:
        `stencilsCount` in interface `R2SceneStencilsType`
      Returns:
        The number of stencil instances in the scene

    - #### stencilsAddSingle

          public void stencilsAddSingle(R2InstanceSingleType i)

      Description copied from interface: `R2SceneStencilsType`
      Add a single instance to the scene.
      Specified by:
        `stencilsAddSingle` in interface `R2SceneStencilsType`
      Parameters:
        `i` - The instance

    - #### stencilsExecute

          public void stencilsExecute(R2SceneStencilsConsumerType c)

      Description copied from interface: `R2SceneStencilsType`
      Batch the instances and pass them to the given consumer for rendering.
      Specified by:
        `stencilsExecute` in interface `R2SceneStencilsType`
      Parameters:
        `c` - The consumer

Copyright © 2017 <code@io7m.com> http://io7m.com